=== debian/changelog ===
fenics-basix (0.9.0-4) unstable; urgency=medium

  * update Breaks: python3-dolfinx (<< 1:0.9.0-8~),
    python3-dolfinx-mpc (<< 0.9.3-2~), python3-scifem (<< 0.10.0-1~)
    to allow for breakage of old packages built
    with old nanobind 2.5 (api15). Closes: #1117555.

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Oct 2025 11:25:19 +0200

fenics-basix (0.9.0-3) unstable; urgency=medium

  * debian patch python_depends_nanobind.patch adds nanobind to python
    dependencies (pyproject.toml) so dh_python3 catches the nanobind ABI.
    See nanobind transition Bug#1111004.
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Sep 2025 12:53:06 +0200

fenics-basix (0.9.0-2) unstable; urgency=medium

  * Upload to unstable
  * Drop python3-basix Recommends: python3-numba, since numba is not available
    on all arches and is sometimes problematic on debci
  * Fix lower bound on fenics-ufl in python3-basix: it must be 2024.2.0~, and
    not 2024.1.0~.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Tue, 05 Nov 2024 08:04:26 +0000

fenics-basix (0.9.0-1exp1) experimental; urgency=medium

  * New upstream release 0.9.0:
    - new ABI 0.9
  * Refresh the following patches
    - cmake_shared_library.patch
    because they failed to apply on the new release.
  * Refresh the following patches
    - find_generic_blas.patch
    - python_local_LICENSE.patch
    - skip_runpath.patch
    to ensure that the apply without fuzz on the new release.
  * Drop the following patches
    - PR825.diff
    because they were included upstream in the new release.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 20 Oct 2024 13:29:44 +0000
