=== debian/changelog ===
fenics-basix (0.10.0.post0-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 0.10.
    - Depends: python3-ufl (>= 2025.2.0~)
  * debian/test: monitor and skip slowest tests on armel alongside
    riscv64. Thanks Colin Watson. Closes: #1090766
  * update debian/watch to Version 5 format for GitHub.
    Needed to catch .post0 releases.

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Nov 2025 11:00:49 +0100
