=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-python3,
                python3-setuptools,
                python3-all-dev:any,
-               python3-ufl (>= 2024.2.0~),
+               python3-ufl (>= 2025.2.0~),
                python3-nanobind (>= 2.0.0~),
                python3-numpy,
                pybuild-plugin-pyproject,
@@ -38,7 +38,7 @@
 Package: libbasix-dev
 Architecture: any
 Multi-Arch: same
-Depends: libbasix0.9 (= ${binary:Version}),
+Depends: libbasix0.10 (= ${binary:Version}),
          libeigen3-dev,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -64,7 +64,7 @@
  .
  This package installs the development files for the shared library.
 
-Package: libbasix0.9
+Package: libbasix0.10
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -94,7 +94,7 @@
 Package: python3-basix
 Architecture: any
 Depends: libbasix-dev  (= ${binary:Version}),
-         python3-ufl (>= 2024.1.0~),
+         python3-ufl (>= 2025.2.0~),
          ${python3:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
