=== debian/tests/control ===
Tests: run-tests,
# gcc is not really used, but added to silence the dpkg-architecture warning
# cannot determine CC system type, falling back to default (native compilation)
Depends: python3-basix,
 python3-all,
 python3-pytest,
 python3-ufl,
 python3-numpy,
 python3-sympy,
 gcc
